Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.aliasbean
Class AliasBeanRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.aliasbean.AliasBeanRenderer

public class AliasBeanRenderer
extends javax.faces.render.Renderer

Version:
  $Revision: 169189 $ $Date: 2005-05-08 19:03:38 -0400 (Sun, 08 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Constructor Summary
`AliasBeanRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasBeanRenderer

    public AliasBeanRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD